Skip to main content
POST
/
api
/
v1
/
auth
/
sign-up
cURL
curl -sS -X POST "$FLUIDE_BASE_URL/api/v1/auth/sign-up" \
  -H "Authorization: Bearer $FLUIDE_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "success": true,
  "message": "Operation completed successfully",
  "data": {}
}

Authorizations

Authorization
string
header
required

Access token JWT. Use as Authorization: Bearer . In the API playground, paste the JWT only.

Body

application/json
email
string<email>
required
Example:

"jane@example.com"

password
string
required
Required string length: 8 - 128
Example:

"correct-horse-battery-staple"

name
string
required
Required string length: 1 - 120
Example:

"Jane Doe"

fluideClientId
enum<string>
required
Available options:
fluide-admin,
fluide-capital-admin,
fluide-super,
fluide-developer
firstName
string
Required string length: 1 - 60
Example:

"Jane"

lastName
string
Required string length: 1 - 60
Example:

"Doe"

jobTitle
string
Required string length: 1 - 80
Example:

"Founder"

type
enum<string>
Available options:
user,
accountant,
developer

Response

Created successfully

success
boolean
required

Whether the request succeeded

Example:

true

message
string
required

Human-readable outcome message (localized when i18n is configured)

Example:

"Operation completed successfully"

data
object

Endpoint-specific payload